Package org.zkoss.zk.ui.select.impl

## Class SimpleSelectorSequence

- java.lang.Object
- - org.zkoss.zk.ui.select.impl.SimpleSelectorSequence

-     public class SimpleSelectorSequence
      extends java.lang.Object

  The model representing a sequence of simple selectors.
  Since:
    6.0.0
  Author:
    simonpai

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleSelectorSequence()` |
    `SimpleSelectorSequence​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAttribute​(java.lang.String name)` |
    `void` | `addClass​(java.lang.String clazz)` |
    `void` | `addPseudoClass​(java.lang.String function)` |
    `void` | `addPseudoElement​(java.lang.String source)` |
    `void` | `attachAttributeOperator​(Attribute.Operator operator)` |
    `void` | `attachAttributeQuote​(boolean inQuote)` |
    `void` | `attachAttributeValue​(java.lang.String value)` |
    `void` | `attachAttributeValue​(java.lang.String value, boolean quoted)` |
    `void` | `attachPseudoClassParameter​(java.lang.String parameter)` |
    `java.util.List<Attribute>` | `getAttributes()` |
    `java.util.Set<java.lang.String>` | `getClasses()` |
    `Selector.Combinator` | `getCombinator()` |
    `java.lang.String` | `getId()` |
    `java.util.List<PseudoClass>` | `getPseudoClasses()` |
    `java.util.List<PseudoElement>` | `getPseudoElements()` |
    `java.lang.String` | `getType()` |
    `void` | `setCombinator​(Selector.Combinator combinator)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setType​(java.lang.String type)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSelectorSequence

          public SimpleSelectorSequence()

    - #### SimpleSelectorSequence

          public SimpleSelectorSequence​(java.lang.String type)

  - ### Method Detail

    - #### getCombinator

          public Selector.Combinator getCombinator()

    - #### getType

          public java.lang.String getType()

    - #### getId

          public java.lang.String getId()

    - #### getClasses

          public java.util.Set<java.lang.String> getClasses()

    - #### getAttributes

          public java.util.List<Attribute> getAttributes()

    - #### getPseudoClasses

          public java.util.List<PseudoClass> getPseudoClasses()

    - #### getPseudoElements

          public java.util.List<PseudoElement> getPseudoElements()

    - #### setCombinator

          public void setCombinator​(Selector.Combinator combinator)

    - #### setType

          public void setType​(java.lang.String type)

    - #### setId

          public void setId​(java.lang.String id)

    - #### addClass

          public void addClass​(java.lang.String clazz)

    - #### addAttribute

          public void addAttribute​(java.lang.String name)

    - #### attachAttributeOperator

          public void attachAttributeOperator​(Attribute.Operator operator)

    - #### attachAttributeValue

          public void attachAttributeValue​(java.lang.String value)

    - #### attachAttributeValue

          public void attachAttributeValue​(java.lang.String value,
                                           boolean quoted)

    - #### attachAttributeQuote

          public void attachAttributeQuote​(boolean inQuote)

    - #### addPseudoClass

          public void addPseudoClass​(java.lang.String function)

    - #### attachPseudoClassParameter

          public void attachPseudoClassParameter​(java.lang.String parameter)

    - #### addPseudoElement

          public void addPseudoElement​(java.lang.String source)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`